none
.Net Frame 1.1의 .Net Frame 최신 버젼과의 호환성 문의 RRS feed

  • 질문

  • 현재 사용 중인 MS Windows 2003에서 .NET 1.1 Framework에서 개발된 웹 프로그램을 사용 중 입니다.

    그런데, Windows 2003이 2015년 7월 서비스 종료가 되어 Windows 2012로 업그레이드하고자 합니다.

    그래서, 이렇게 업그레이드하는 경우 MS Windows 2003의 .NET 1.1 Framework에서 개발된 웹관련

    프로그램을 Windows 2012에서 지원되는 최신 .NET Framework(.NET 4.5.X Framework)에서 지원

    가능한 지 알고 싶습니다.

    이 경우 2가지의 경우에 대해 고려 할 수 있을 것 같습니다.

    다음 2가지에 대해 지원 가능한지 확인하고 싶습니다.

    1) .NET 1.1 Framework에서 개발된 프로그램이 Windows 2012의 .NET 4.5.X Framework에서도

        호환 및 구동 여부

    2) 1)항의 호환이 안될 경우  Windows 2012에 .NET 1.1 Framework로 다운그레이드해서

        해당 프로그램 구동 가능

    이상 상기의 경우가 가능한지 확인 부탁드립니다.

    물론 가장 확실한 것은 실제 설치하여 구동해 보는 것이 가장 확실하겠지만, 지금 이렇게 해볼 수 있는

    상황도 되지 않아 질문 드립니다.

    2015년 3월 8일 일요일 오후 4:19

답변

  • .NET Framework 1.1은 Windows 8, Windows 8.1, Windows Server 2012 또는 Windows Server 2012 R2 운영 체제에서 지원되지 않습니다. 

    경우에 따라 .NET Framework 1.1은 응용 프로그램을 실행하는 데 필요할 때 특별히 식별됩니다이 경우 ISV(Independent Software Vendor)에 문의하여 .NET Framework 3.5 SP1 이상의 버전에서 실행되도록 응용 프로그램을 업그레이드하도록 요청합니다

    [참고자료] .NET Framework 1.1에서 마이그레이션

    제시해 드린 답변이 도움이 되었기를 바랍니다.
       
    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다

    </sentencetext>


    • 편집됨 Jina LeeModerator 2015년 3월 9일 월요일 오전 5:13
    • 답변으로 표시됨 mirr67 2015년 3월 10일 화요일 오전 1:19
    2015년 3월 9일 월요일 오전 5:12
    중재자
  • Windows Server 2012에서 .NET Framework 3.5는 사용 가능합니다.

    하지만 말씀하신 프로그램 구동을 위해서는 마이그레이션이 필요할 것 같이 보여집니다.

    [참고자료]

    .NET Framework 1.1에서 마이그레이션

    추가적인 이슈는 새 스레드를 이용해서 문의 해주시면 감사하곘습니다. :)

    제시해 드린 답변이 도움이 되었기를 바랍니다.
       
    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다

    • 답변으로 표시됨 mirr67 2015년 3월 10일 화요일 오전 1:19
    2015년 3월 9일 월요일 오전 8:30
    중재자

모든 응답

  • .NET Framework 1.1은 Windows 8, Windows 8.1, Windows Server 2012 또는 Windows Server 2012 R2 운영 체제에서 지원되지 않습니다. 

    경우에 따라 .NET Framework 1.1은 응용 프로그램을 실행하는 데 필요할 때 특별히 식별됩니다이 경우 ISV(Independent Software Vendor)에 문의하여 .NET Framework 3.5 SP1 이상의 버전에서 실행되도록 응용 프로그램을 업그레이드하도록 요청합니다

    [참고자료] .NET Framework 1.1에서 마이그레이션

    제시해 드린 답변이 도움이 되었기를 바랍니다.
       
    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다

    </sentencetext>


    • 편집됨 Jina LeeModerator 2015년 3월 9일 월요일 오전 5:13
    • 답변으로 표시됨 mirr67 2015년 3월 10일 화요일 오전 1:19
    2015년 3월 9일 월요일 오전 5:12
    중재자
  • 답변 감사드립니다. 추가로 2)번항에 대한 기능여부도 확인 해 주실 수 있는지요?

    즉 .NET Framework 1.1을 Windows Server 2008 또는 Windows Server 2012에서 .NET Framework 3.5 이상 대신 설치하여 구동가능한지 확인 부탁드립니다.

    2015년 3월 9일 월요일 오전 5:27
  • Windows Server 2012에서 .NET Framework 3.5는 사용 가능합니다.

    하지만 말씀하신 프로그램 구동을 위해서는 마이그레이션이 필요할 것 같이 보여집니다.

    [참고자료]

    .NET Framework 1.1에서 마이그레이션

    추가적인 이슈는 새 스레드를 이용해서 문의 해주시면 감사하곘습니다. :)

    제시해 드린 답변이 도움이 되었기를 바랍니다.
       
    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다

    • 답변으로 표시됨 mirr67 2015년 3월 10일 화요일 오전 1:19
    2015년 3월 9일 월요일 오전 8:30
    중재자